1

I have migrated my site from 1.9.3.0 to 2.1.4. Almost all of the migrated products are back-ordered, that means the quantity is below 0.

The new 2.1.4 site is configured to support back orders as it is described in the documentation: Store - Configuration - Catalog - Inventory - Product Stock Options - Backorders -> 'Allow Qty Below 0'.

the problem:

When I try to edit a product that is back-ordered (i.e. Qty < 0) it is impossible I to save it. There is a error message below the Qty box: 'Please enter a valid number in this field.'

enter image description here

1

Yes, I think that while this setting allows you to continue selling and have your inventory levels go below zero, there's a thread over on Git Hub that describes the error of not being able to save a product as based on a javascript validation rule.

Here's the thread and some possible ways to solve this: https://github.com/magento/magento2/issues/7401

I hope this helps!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.